Bug 1229700 - Please turn off CONFIG_RT_GROUP_SCHED in Fedora kernels
Summary: Please turn off CONFIG_RT_GROUP_SCHED in Fedora kernels
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-09 13:05 UTC by Lennart Poettering
Modified: 2015-06-16 11:24 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-16 11:24:02 UTC


Attachments (Terms of Use)

Description Lennart Poettering 2015-06-09 13:05:59 UTC
I am pretty sure that CONFIG_RT_GROUP_SCHED should be turned off in Fedora, as there's no way to make use of it in a sane way right now. If turned on, and there's any cgroup in the "cpu" hierarchy it needs an RT budget assigned, otherwise the processes in it will not be able to get RT at all. THis then shows up in bugs like 655321.

The problem with RT group scheduling is that it requires the budget assigned but there's no way we could assign a default budget, since the values to assign are both upper and lower time limits, are absolute, and need to be sum up to < 1 for each individal cgroup. That means we cannot really come up with values that would work by default in the general case.

I think CONFIG_RT_GROUP_SCHED makes a lot of sense in embedded devices that can map a strict, static RT budget structure to its cgroups, but it cannot work on a fully dynamic general purpose system, because of the limitations.

Note that it is me who asked for it to turned on 7 years ago (bug 442959), but I am pretty sure bnow this was a bad choice.

This option is also turned off in Ubuntu kernels these days.

I am pretty sure nobody relies on this functionality right now, since it is really hard to use outside of simpler, static (and hence probably embedded) setups, but that's hardly Fedora's focus. On desktops, servers, cloud (which I assume are more Fedora's focus) it makes no sense to enable.

Comment 1 Josh Boyer 2015-06-10 13:01:59 UTC
Thanks for the background and info.  I've disabled this in rawhide now and it will be reflected in the next build.

Comment 2 Lennart Poettering 2015-06-15 23:53:16 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.